org.eclipse.ease

## Enum ScriptObjectType

- java.lang.Object
- - java.lang.Enum<ScriptObjectType>
  - - org.eclipse.ease.ScriptObjectType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ScriptObjectType>

    public enum ScriptObjectType
    extends java.lang.Enum<ScriptObjectType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JAVA_OBJECT`
`JAVA_PRIMITIVE`
`NATIVE`
`NATIVE_ARRAY`
`NATIVE_OBJECT`
`NULL`
`UNKNOWN`
`VOID`

### Method Summary

All Methods Static Methods Concrete Methods
`static ScriptObjectType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ScriptObjectType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JAVA_OBJECT

    public static final ScriptObjectType JAVA_OBJECT

#### JAVA_PRIMITIVE

    public static final ScriptObjectType JAVA_PRIMITIVE

#### NATIVE

    public static final ScriptObjectType NATIVE

#### NATIVE_ARRAY

    public static final ScriptObjectType NATIVE_ARRAY

#### NATIVE_OBJECT

    public static final ScriptObjectType NATIVE_OBJECT

#### VOID

    public static final ScriptObjectType VOID

#### NULL

    public static final ScriptObjectType NULL

#### UNKNOWN

    public static final ScriptObjectType UNKNOWN

### Method Detail

#### values

    public static ScriptObjectType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScriptObjectType c : ScriptObjectType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScriptObjectType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null